/*
* Description: Misc Functions
*
*
*/

function include(script_filename)
{
    var html_doc = document.getElementsByTagName('head').item(0);
    var js = document.createElement('script');

    trace ("include ("+script_filename+")");

    js.setAttribute('src', script_filename);
    js.setAttribute('type', 'text/javascript');
    html_doc.appendChild(js);
    return false;
}

/* Used for variable needed to be "passed by reference" */
function Reference_object ()
{
  this.value = 0;
}

function fire_keycode (parm_element,parm_keycode,parm_type)
{
  var evt = document.createEvent("KeyboardEvent");
  var keycode = 0;
  var charcode = 0;

  if (parm_type == 1) {
    keycode = parm_keycode;
  }
  else {
    charcode = parm_keycode;
  }
  
  evt.initKeyEvent(
  "keypress",       //  in DOMString typeArg,
  true,            //  in boolean canBubbleArg,
  true,            //  in boolean cancelableArg,
  null,            //  in nsIDOMAbstractView viewArg,  Specifies UIEvent.view. This value may be null.
  false,           //  in boolean ctrlKeyArg,
  false,           //  in boolean altKeyArg,
  false,           //  in boolean shiftKeyArg,
  false,           //  in boolean metaKeyArg,
  keycode,         //  in unsigned long keyCodeArg,
  charcode);       //  in unsigned long charCodeArg);

  evt.pass_key = true;
  parm_element.dispatchEvent(evt);
}

function fire_click (parm_element)
{
  var evt = document.createEvent("MouseEvents");

  evt.initMouseEvent(
      "click",            // Type
  true,                   // canBubble
  true,                   // cancelable
  window,                 // View
  0,                      // detail - Click count
  0,                      // screenX
  0,                      // screenY
  0,                      // clientX
  0,                      // clientY
  false,                  // ctrlKey
  false,                  // altKey
  false,                  // shiftKey
  false,                  // metaKey
  0,                      // button - 0=left,1=middle,2=right
  null);                  // relatedTarget

  parm_element.dispatchEvent(evt);
}

/*
* Put one leading zero for 2 char string
*
*/
function leading_zero(x) {
  return (x >= 10 || x < 0 ? "" : "0") + x;
}

/*
*
*
*/
var isTrace = 0;
var Tracer;

function trace (info)
{
    if (isTrace)
    {
      if (!Tracer)
        {
            Tracer = window.open("", "Trace", "menubar=no,resizable=yes,scrollbars=yes,status=no,toolbar=no");
            Tracer.document.write('<html><body id="tracebody" style="margin:0px;font-family:courier new,arial;font-size:10pt"><P>Tracer started!</body></html>');
        }
        else
        {
          if (!Tracer.document) {
            isTrace = false;
            return;
          }
        }

        var traceBody = Tracer.document.getElementById("tracebody");
        var trace_p = Tracer.document.createElement("p");
        var trace_text = Tracer.document.createTextNode(info);
        trace_p.appendChild(trace_text);
        traceBody.appendChild(trace_p);
        Tracer.scrollTo(0, Tracer.document.body.scrollHeight);
    }
}
