/*
* Set a fields foreground color
*
*/
function set_field_fore (parm_field, parm_attr)
{
  trace ("set_field_fore ()");

  if (!parm_field || !parm_attr)
    return;

  trace ("set_field_fore: parm_field= "+parm_field.name+" parm_attr= "+parm_attr);

  if (parm_field.element.tagName == "INPUT")
  {
    switch (parm_attr)
    {
      case A_NORMAL:
      {
        parm_field.element.style.background = parm_field.org_back;
        break;
      }
      case A_STANDOUT:
      {
        /* Yellowish */
        parm_field.element.style.background = "#FFF68F";
        break;
      }
      case A_SELECT:
      {
        if (parm_field.org_back != "royalblue") {
          parm_field.element.style.background = "royalblue";
        }
        else {
          parm_field.element.style.background = "yellow";
        }
        break;
      }
    }
  }
}

