/*
* Function: field_info ()
*
* Description: Return info from form object
*
*/
function field_info (parm_field, parm_height, parm_len, parm_top, parm_left, parm_off, parm_buf)
{
  trace ("field_info ("+parm_field.element.name+")");
  
  parm_height.value = parm_field.height;
  parm_len.value = parm_field.len;
  parm_top.value = parm_field.top;
  parm_left.value = parm_field.left;
  parm_off.value = parm_field.nrow;
  parm_buf.value = parm_field.buf;
}

/*
*  Function: is_field_input ()
*
*  Description: Return true if text||password
*
*/
function is_field_input (parm_element)
{
  if (parm_element.type == "text" || parm_element.type == "password") {
    return true;
  }
  else {
    return false;
  }
}

/*
*  Function: is_field_select ()
*
*  Description: Return true if field is a select list
*
*/
function is_field_select (parm_element)
{
  if (parm_element.tagName == "SELECT") {
    return true;
  }
  else {
    return false;
  }
}