/*
*  JavaScript Implementation: jscurses
*
* Description:
*
*
* Author: Ricardo Cantu <ricky@smartcsc.com>, (C) 2006
*
* Copyright: See COPYING file that comes with this distribution
*
*/


/*
*  Function: key_buffer ()
*
*  Description: Buffer keys for later use
*
*/

function _nc_Key_Type ()
{
  this.key = 0;
  this.key_mod = 0;
  this.keyCode = 0;
  this.charCode = 0;
}

function _nc_Push_Key (key)
{
  trace ("_nc_Push_Key (key["+key.key+", "+key.key_mod+"])");
  
  this.key_buffer[this.push_pos] = new _nc_Key_Type ();
  this.key_buffer[this.push_pos].key = key.key;
  this.key_buffer[this.push_pos].key_mod = key.key_mod;
  this.push_pos++;
}

function _nc_Pop_Key ()
{
  trace ("_nc_Pop_Key ()");
  
  this.return_key = new _nc_Key_Type ();
  this.return_key.key_mod = this.key_buffer[this.pop_pos].key_mod;
  this.return_key.key = this.key_buffer[this.pop_pos].key;
  delete this.key_buffer[this.pop_pos++];
  if (this.pop_pos == this.push_pos) {
    this.pop_pos = 0;
    this.push_pos = 0;
  }
  return this.return_key;
}

function _nc_Check_For_Key_Buffer ()
{
  trace ("_nc_Check_For_Key_Buffer ()");
  
  if (this.push_pos > 0) {
    return true;
  }
  else {
    return false;
  }
}

function _nc_Buffer_Key_Obj ()
{
  this.push_pos = 0;
  this.pop_pos = 0;
  this.key_buffer = new Array ();
  this.Push = _nc_Push_Key;
  this.Pop = _nc_Pop_Key;
  this.Have_key = _nc_Check_For_Key_Buffer;
}

