/*
* Update the current property
*
*/
function set_current_field (parm_form, parm_field)
{
  trace ("set_current_field ()");

  if (!parm_form || !parm_field)
    return;
  if ((parm_form.status & _POSTED) != _POSTED)
    return;

  trace ("set_current_field: parm_form= "+parm_form.name+"  parm_field= "+parm_field.name);

  parm_form.current = parm_field.tabIndex - 1;
}

/*
* Description: Returns the focused field element
*
*/
function current_field (parm_form)
{
  trace ("current_field ()");

  if (!parm_form)
    return;
  if ((parm_form.status & _POSTED) != _POSTED)
    return;

  trace ("current_field: parm_form= "+parm_form.name);

  return parm_form.field[parm_form.current];
}

/*
* Description: Returns field element with name
*
*/
function field_by_name (parm_form, parm_name)
{
  var i;

  trace ("field_by_name ()");

  if (!parm_form || !parm_name)
    return;
  if ((parm_form.status & _POSTED) != _POSTED)
    return;

  trace ("field_by_name: parm_form= "+parm_form.name+" parm_name= "+parm_name);
  
  for (i=0; i < parm_form.maxfield; i++) {
    if (parm_form.field[i].name == parm_name) {
      break;
    }
  }
  return parm_form.field[i];
}