/*
* Object: new_form ()
*
* Description: Creates and returns a form object
*
*/
function new_form (parm_form)
{
  var i;

  trace ("new_form ("+parm_form+")");

  this.form = document.forms[parm_form];          /* The actual form */
  this.name = document.forms[parm_form].name;
  this.status = 0x0;
  this.current = 0;                               /* The index number of current field */

  this.keys_element = 0;
  this.focus_name_element = -1;
  this.cursor_pos_element = -1;

  this.maxfield = this.form.length;
  this.field = new Array (this.maxfield);         /* Array of all the fields */
  for (i=0; i < this.maxfield; i++) {
    this.field[i] = new fieldnode (this.form.elements[i]);
    if (this.form.elements[i].tagName == "INPUT" && this.field[i].cols < this.field[i].maxgrow) {
      this.status |= _HAS_HORZ_SCROLL;
    }
    if (this.field[i].element.name == "keys") {
      this.keys_element = i;
    } else if (this.field[i].element.name == "focus_name") {
      this.focus_name_element = i;
    }  else if (this.field[i].element.name == "cursor_pos") {
      this.cursor_pos_element = i;
    }
  }
  _HORZ_SCROLL_TIMER = setTimeout("Horizontal_Scrolling(Main_form);", 1000);
}

/*
* Function: free_form ()
*
* Description: Deletes form object
*
*/
function free_form (parm_form)
{
  trace ("free_form ("+parm_form.name+")");

  if (parm_form) {
    if ((parm_form.status & _POSTED)) {
      unpost_form (parm_form);
    }
    free_fields (parm_form);
    delete parm_form;
  }
}