/*
*  Function: post_form ()
*
*  Description: Active the status of the form
*
*/
function post_form (parm_form)
{
  trace ("post_form ("+parm_form.name+")");

  parm_form.status |= _POSTED;
}

/*
* Function: 
*
* Description: Update the status of the form object
*
*/
function unpost_form (parm_form)
{
  var i;

  trace ("unpost_form ("+parm_form.name+")");

  if (parm_form)
  {
    if (_HORZ_SCROLL_TIMER) {
      clearTimeout (_HORZ_SCROLL_TIMER);
      _HORZ_SCROLL_TIMER = 0;
    }
    parm_form.status &= ~_POSTED;
    for (i=0; i < parm_form.form.elements.length; i++)
    {
      parm_form.form.elements[i].disabled = true;
      parm_form.form.elements[i].name = "blah";
      parm_form.form.elements[i].id = "blah";
    }

    parm_form.form.name = "old_form";
  }
}