/*
*  JavaScript Implementation: lib_font
*
* Description: Set various font settings
*
*
* Author: Ricardo Cantu <ricky@smartcsc.com>, (C) 2007
*
* Copyright: See COPYING file that comes with this distribution
*
*/

function set_font_name (name)
{
  trace ("set_font_name ("+name+")");

  NC_FONT_NAME = _nc_Create_Cookie("NC_FONT_NAME",name+"",999);
  document.getElementById("body").style.fontFamily = NC_FONT_TABLE[parseInt (name)];
}

function set_font_size (size)
{
  trace ("set_font_size ("+size+")");

  NC_FONT_SIZE = _nc_Create_Cookie("NC_FONT_SIZE",size+"",999);
  document.getElementById("body").style.fontSize = size+"pt";
}

function set_row_pixel (size)
{
  trace ("set_row_pixel ("+size+")");

  NC_ROW_PIXEL = _nc_Create_Cookie("NC_ROW_PIXEL",size+"",999);
}

function set_col_pixel (size)
{
  trace ("set_col_pixel ("+size+")");

  NC_COL_PIXEL = _nc_Create_Cookie("NC_COL_PIXEL",size+"",999);
}